> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# List Dependencies

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/model/dependencies

Returns the incoming and outgoing dependencies for each requested object. Objects can be specified by ID or by label key-value pairs (or both): label pairs use OR semantics so an object matching any pair is included. Results are filtered by tags and/or technologies when provided: within each filter array the semantics are OR (any match passes), and between the two filter dimensions the semantics are AND (an object must satisfy both when both are specified).

Reference: https://developer.icepanel.io/api-reference/model/objects/dependencies-list

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)

### Query parameters

- `filter` (ModelDependenciesFilter, required) — Object selection and dependency filters.

## Response

### 200

OK

- `map from string to LandscapesLandscapeIdVersionsVersionIdModelDependenciesGetResponsesContentApplicationJsonSchema`

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### ModelDependenciesFilter

- `objectIds` (ModelDependenciesFilterObjectIds, optional) — Array of model object IDs to return dependency data for. Non-existent IDs are silently ignored.
- `objectLabels` (map from string to string, optional) — Key-value label pairs used to select objects. Objects matching any of the provided pairs are returned (OR semantics).
- `tagIds` (ModelDependenciesFilterTagIds, optional) — Filter dependency objects to those matching any of the given tag IDs.
- `technologyIds` (ModelDependenciesFilterTechnologyIds, optional) — Filter dependency objects to those matching any of the given technology IDs.

### LandscapesLandscapeIdVersionsVersionIdModelDependenciesGetResponsesContentApplicationJsonSchema

- `incoming` (map from string to ModelObject, required) — Objects that depend on this object (have a connection pointing to it).
- `outgoing` (map from string to ModelObject, required) — Objects that this object depends on (has a connection pointing to them).

### ModelDependenciesFilterObjectIds

Array of model object IDs to return dependency data for. Non-existent IDs are silently ignored.

- string
- list of string

### ModelDependenciesFilterTagIds

Filter dependency objects to those matching any of the given tag IDs.

- string
- list of string

### ModelDependenciesFilterTechnologyIds

Filter dependency objects to those matching any of the given technology IDs.

- string
- list of string

### ModelObject

- `commit` (double, required)
- `external` (boolean, required)
- `groupIds` (list of string, required) — IDs of the groups this model object belongs to
- `icon` (ModelObjectIcon, required, nullable)
- `labels` (map from string to string, required) — Generic key value store used for creating custom integrations
- `links` (map from string to RealityLink, required)
- `name` (string, required)
- `parentId` (string, required, nullable) — Parent model object ID, null for the root level model object
- `status` (enum, required)
  - Allowed values: `deprecated`, `future`, `live`, `removed`
- `tagIds` (list of string, required) — Tag IDs assigned to this model
- `teamIds` (list of string, required) — Team IDs that own this model object, does not propergate up or down
- `teamOnlyEditing` (boolean, required) — Model object (+child diagram, diagram groups and flows) can only be edited by owners and admins
- `technologyIds` (list of string, required) — Technology IDs assigned to this model
- `type` (enum, required)
  - Allowed values: `actor`, `app`, `component`, `group`, `root`, `store`, `system`
- `domainId` (string, required)
- `handleId` (string, required)
- `childDiagramIds` (list of string, required) — Child diagram IDs
- `childIds` (list of string, required) — Child model object IDs, only one level down
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `diagrams` (map from string to ModelObjectDiagram, required)
- `flows` (map from string to ModelObjectFlow, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `linked` (boolean, required)
- `parentIds` (list of string, required) — Parent model object IDs for the whole hierarchy, ending with the root model object
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `version` (double, required)
- `versionId` (string, required)
- `caption` (string, optional) — Short summary of the object shown as the display description
- `description` (string, optional)
- `deletedAt` (datetime, optional)
- `deletedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `deletedById` (string, optional)
- `latestEntityId` (string, optional)

### ModelObjectIcon

- `catalogTechnologyId` (string, required)
- `name` (string, required)
- `urlDark` (string, optional) — Icon that only works on dark backgrounds
- `urlLight` (string, optional) — Icon that only works on light backgrounds
- `url` (string, optional, deprecated) — Use either urlDark or urlLight

### RealityLink

- `index` (double, required)
- `id` (string, required) — Random 20 character identifier
- `connectionResolveUrl` (string, optional) — Resolve the connector from a publicly accessible URL
- `connector` (RealityConnector, optional) — Links this to a resource in reality, if set periodic checks are performed and the status is updated
- `customName` (string, optional, nullable) — Friendly name for the link set by the user
- `url` (string, optional) — URL pointing to the resource in reality, resolved from the last sync
- `errorMessage` (string, optional) — Error message that was received during the last sync
- `name` (string, optional) — Friendly name describing the resource in reality, resolved from the last sync
- `status` (enum, optional) — Response that was received from the last sync with reality
  - Allowed values: `valid`, `invalid`

### ModelObjectDiagram

- `id` (string, required)
- `objectId` (string, required)

### ModelObjectFlow

- `id` (string, required)
- `stepId` (string, required)

### RealityConnector

- RealityConnectorUrl
- RealityConnectorAzureDevopsRepo
- RealityConnectorAzureDevopsBranch
- RealityConnectorAzureDevopsFolder
- RealityConnectorAzureDevopsFile
- RealityConnectorBitbucketRepo
- RealityConnectorBitbucketBranch
- RealityConnectorBitbucketFolder
- RealityConnectorBitbucketFile
- RealityConnectorBitbucketServerRepo
- RealityConnectorBitbucketServerBranch
- RealityConnectorBitbucketServerFolder
- RealityConnectorBitbucketServerFile
- RealityConnectorGithubRepo
- RealityConnectorGithubBranch
- RealityConnectorGithubFolder
- RealityConnectorGithubFile
- RealityConnectorGitlabRepo
- RealityConnectorGitlabBranch
- RealityConnectorGitlabFolder
- RealityConnectorGitlabFile

### RealityConnectorUrl

- `type` (enum, required)
  - Allowed values: `url`
- `url` (string, required)

### RealityConnectorAzureDevopsRepo

- `accountName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-repo`

### RealityConnectorAzureDevopsBranch

- `accountName` (string, required)
- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-branch`

### RealityConnectorAzureDevopsFolder

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-folder`

### RealityConnectorAzureDevopsFile

- `accountName` (string, required)
- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `azure-devops-file`

### RealityConnectorBitbucketRepo

- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-repo`
- `workspaceId` (string, required)

### RealityConnectorBitbucketBranch

- `branchName` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-branch`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-folder`
- `workspaceId` (string, required)

### RealityConnectorBitbucketFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (string, required)
- `repositoryId` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-file`
- `workspaceId` (string, required)

### RealityConnectorBitbucketServerRepo

- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-repo`

### RealityConnectorBitbucketServerBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-branch`

### RealityConnectorBitbucketServerFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-folder`

### RealityConnectorBitbucketServerFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `repositoryId` (double, required)
- `serverUrl` (string, required)
- `type` (enum, required)
  - Allowed values: `bitbucket-server-file`

### RealityConnectorGithubRepo

- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-repo`

### RealityConnectorGithubBranch

- `branchName` (string, required)
- `ownerId` (double, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-branch`

### RealityConnectorGithubFolder

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-folder`

### RealityConnectorGithubFile

- `branchName` (string, required)
- `ownerId` (double, required)
- `path` (string, required)
- `repositoryId` (double, required)
- `type` (enum, required)
  - Allowed values: `github-file`

### RealityConnectorGitlabRepo

- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-repo`

### RealityConnectorGitlabBranch

- `branchName` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-branch`

### RealityConnectorGitlabFolder

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-folder`

### RealityConnectorGitlabFile

- `branchName` (string, required)
- `path` (string, required)
- `projectId` (double, required)
- `type` (enum, required)
  - Allowed values: `gitlab-file`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/dependencies"

querystring = {"filter":"{}"}

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/dependencies?filter=%7B%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/model/dependencies?filter=%7B%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```